package com.bwie.auth;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @Author：张腾
 * @Package：com.bwie.auth
 * @Project：Zg6-Week3
 * @name：AuthApplication
 * @Date：2024/8/6 9:16
 */
@SpringBootApplication
@EnableFeignClients
public class AuthApplication {

    public static void main(String[] args) {
        SpringApplication.run(AuthApplication.class,args);
    }
}
