package com.bwie.common.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author：张腾
 * @Package：com.bwie.common.domain
 * @Project：Zg6-Week3
 * @name：Firm
 * @Date：2024/8/6 10:40
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Firm {
    /**
     * 序号
     */
    private Integer firmId;
    /**
     * 岗位名称
     */
    private String firmName;
    /**
     * 岗位描述
     */
    private String firmDesc;
    /**
     * 薪资范围
     */
    private String salary;
    /**
     * 企业编号
     */
    private Integer bossId;
    /**
     * 发布时间
     */
    private Date beginDate;
    /**
     * 状态 0:正常 1:过期
     */
    private Integer status;
    /**
     * 候选人数
     */
    private Long peopleNum;
}
