package com.bwie.common.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：张腾
 * @Package：com.bwie.common.domain
 * @Project：Zg6-Week3
 * @name：User
 * @Date：2024/8/6 9:22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class User {

    /**
     * 用户编号
     */
    private Integer userId;

    /**
     * 用户名/手机号
     */
    private String userName;

    /**
     * 验证码
     */
    private String code;
}
