package com.bwie.firm.mapper;

import com.bwie.common.domain.request.FirmReq;
import com.bwie.common.domain.response.FirmRes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.bwie.firm.mapper
 * @Project：Zg6-Week3
 * @name：FirmMapper
 * @Date：2024/8/6 10:40
 */
@Mapper
public interface FirmMapper {

    List<FirmRes> findList(FirmReq firmReq);

    List<FirmRes> selectByStatus();

    void updateStatus(@Param("firmId") Integer firmId);

    List<FirmRes> selectById(@Param("bossName") String bossName);

    void updateCount(@Param("firmName") String firmName);
}
