package com.bwie.firm.service.impl;

import com.bwie.common.domain.request.FirmReq;
import com.bwie.common.domain.response.FirmRes;
import com.bwie.firm.mapper.FirmMapper;
import com.bwie.firm.service.FirmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.bwie.firm.service.impl
 * @Project：Zg6-Week3
 * @name：FirmServiceImpl
 * @Date：2024/8/6 10:49
 */
@Service
public class FirmServiceImpl implements FirmService {

    @Autowired
    private FirmMapper firmMapper;

    @Override
    public List<FirmRes> findList(FirmReq firmReq) {
        return firmMapper.findList(firmReq);
    }

    @Override
    public List<FirmRes> selectByStatus() {
        return firmMapper.selectByStatus();
    }

    @Override
    public void updateStatus(Integer firmId) {
        firmMapper.updateStatus(firmId);
    }

    @Override
    public List<FirmRes> selectById(String bossName) {
        return firmMapper.selectById(bossName);
    }

    @Override
    public void updateCount(String firmName) {
        firmMapper.updateCount(firmName);
    }
}
