package com.bwie.common.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：张腾
 * @Package：com.bwie.common.domain
 * @Project：Zg6-Week3
 * @name：Task
 * @Date：2024/8/6 13:31
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Task {
    /**
     * 序号
     */
    private Integer taskId;
    /**
     * 岗位名称
     */
    private String firmName;
    /**
     * 候选人姓名
     */
    private String taskName;
    /**
     * 候选人电话
     */
    private String taskPhone;
    /**
     * 期望岗位
     */
    private String taskHope;
    /**
     * 期望薪资
     */
    private String salary;
    /**
     * 投递时间
     */
    private Date date;
    /**
     * 登录人id
     */
    private Integer userId;
    /**
     * 状态
     */
    private Integer status;
}
