package com.bwie.common.domain.response;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：张腾
 * @Package：com.bwie.common.domain.response
 * @Project：Zg6-Week3
 * @name：TokenResponse
 * @Date：2024/8/6 9:26
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TokenResponse {

    /**
     * token令牌
     */
    private String token;

    /**
     * token过期时间
     */
    private String time;
}
