package com.bwie.firm.mapper;

import com.bwie.common.domain.Task;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.bwie.firm.mapper
 * @Project：Zg6-Week3
 * @name：TaskMapper
 * @Date：2024/8/6 13:35
 */
@Mapper
public interface TaskMapper {

     Integer addTask(Task task);

     Task selectByUserId(@Param("userId") Integer userId);

     List<Task> findTask();

     void updateTaskStatus(@Param("taskId") Integer taskId, @Param("status") Integer status);
}
